package cn.iocoder.yudao.module.basic.convert.dealergoods;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.basic.api.dealergoods.dto.DealerGoodsRespDTO;
import cn.iocoder.yudao.module.basic.controller.admin.dealergoods.vo.DealerGoodsCreateReqVO;
import cn.iocoder.yudao.module.basic.controller.admin.dealergoods.vo.DealerGoodsRespVO;
import cn.iocoder.yudao.module.basic.controller.admin.dealergoods.vo.DealerGoodsUpdateReqVO;
import cn.iocoder.yudao.module.basic.dal.dataobject.dealergoods.DealerGoodsDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 经销商经销产品 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface DealerGoodsConvert {

    DealerGoodsConvert INSTANCE = Mappers.getMapper(DealerGoodsConvert.class);

    DealerGoodsDO convert(DealerGoodsCreateReqVO bean);

    DealerGoodsDO convert(DealerGoodsUpdateReqVO bean);

    DealerGoodsRespVO convert(DealerGoodsDO bean);

    List<DealerGoodsRespVO> convertList(List<DealerGoodsDO> list);

    PageResult<DealerGoodsRespVO> convertPage(PageResult<DealerGoodsDO> page);

    DealerGoodsRespDTO convertToDTO(DealerGoodsDO bean);

    List<DealerGoodsRespDTO> convertToDTOList(List<DealerGoodsDO> list);

}
